Skip to main content
GET
/
:projectId
/
connections
/
pending
/
sent
Get Sent Pending Requests
curl --request GET \
  --url https://api.replyke.com/api/v6/:projectId/connections/pending/sent
import requests

url = "https://api.replyke.com/api/v6/:projectId/connections/pending/sent"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.replyke.com/api/v6/:projectId/connections/pending/sent', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "requests": [
    {
      "id": "<string>",
      "type": "<string>",
      "user": {
        "id": "<string>",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "bio": "<string>",
        "reputation": 123
      },
      "message": "<string>",
      "createdAt": "<string>"
    }
  ],
  "pagination": {
    "currentPage": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasNextPage": true,
    "hasPreviousPage": true,
    "limit": 123
  }
}
Get connection requests that the current user has sent to others and are still pending.

Query Parameters

page
number
default:"1"
Page number
limit
number
default:"20"
Items per page (max: 100)

Response

requests
array
pagination
object

Error Responses

{
  "error": "Authentication required",
  "code": "auth/unauthorized"
}
{
  "error": "Internal server error",
  "code": "connection/server-error"
}

Notes

  • Requires authentication
  • Returns paginated list of pending connection requests sent by the current user
  • Each request includes the target user’s details and original message
  • Shows when each request was sent
  • Users can withdraw these requests using the connection ID
  • Default pagination: 20 items per page, maximum 100 items per page
  • Rate limiting: 100 requests per 5 minutes